Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232703 - Review Request: perl-IO-Compress-Bzip2 - Write bzip2 files/buffers
Summary: Review Request: perl-IO-Compress-Bzip2 - Write bzip2 files/buffers
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Thienemann
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 228537 232702
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 18:20 UTC by Steven Pritchard
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-27 22:20:12 UTC


Attachments (Terms of Use)

Description Steven Pritchard 2007-03-16 18:20:48 UTC
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-IO-Compress-Bzip2/perl-IO-Compress-Bzip2.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-IO-Compress-Bzip2-2.004-1.src.rpm
Description:
This module provides a Perl interface that allows writing bzip2 compressed
data to files or buffer.

Comment 1 Andreas Thienemann 2007-03-18 12:11:59 UTC
+ source files match upstream:    5ddb54bf0f91187786952cfbcf66cd00 
IO-Compress-Bzip2-2.004.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text not included upstream.
+ license is "GPL or Artistic".
+ latest version is being packaged.
- BuildRequires are somewhat proper. perl(IO::Compress::Base) is however not
available.
+ compiler flags are appropriate.
o noarch package. $RPM_OPT_FLAGS are not necessary.
+ %clean is present.
+ package installs properly
o noarch package. no debuginfo package is being generated.
+ rpmlint is silent.
+ final provides and requires are sane:
== provides
perl(IO::Compress::Adapter::Bzip2) = 2.004
perl(IO::Compress::Bzip2) = 2.004
perl(IO::Uncompress::Adapter::Bunzip2) = 2.004
perl(IO::Uncompress::Bunzip2) = 2.004
perl-IO-Compress-Bzip2 = 2.004-1.fc7
== requires
perl(:MODULE_COMPAT_5.8.8)
perl(Compress::Raw::Bzip2) >= 2.004
perl(Exporter)
perl(IO::Compress::Adapter::Bzip2) >= 2.004
perl(IO::Compress::Base) >= 2.004
perl(IO::Compress::Base::Common) >= 2.004
perl(IO::Uncompress::Adapter::Bunzip2) >= 2.004
perl(IO::Uncompress::Base) >= 2.004
perl(bytes)
perl(strict)
perl(warnings)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
- %check is present and all supported tests pass. However, Test::POD would be
useful as a BR
+ no shared libraries are added to the regular linker search paths.
+ no duplication of system libraries.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

The package looks okay and I'd approve it. Unfortunately, it does not build in
mock as of right now.
As soon as perl(IO::Compress::Base) 2.004 or higher is available I'll approve
that package.

Comment 2 Steven Pritchard 2007-06-27 21:21:34 UTC
It looks like perl-IO-Compress-Base 2.004 is in rawhide.  Can I get an 
official approval for this package?

Comment 3 Steven Pritchard 2007-06-27 21:26:52 UTC
Oh, wait, perl-IO-Compress-Bzip2 is there too.

Comment 4 Andreas Thienemann 2007-06-27 21:41:24 UTC
so we scrap this?

Comment 5 Jason Tibbitts 2007-06-27 22:11:20 UTC
I reviewed and approved perl-IO-Compress-Bzip2 as part of bug 243016 earlier
this month.  I had no idea this bug existed.

Comment 6 Steven Pritchard 2007-06-27 22:20:12 UTC
Let's chalk it up to merge confusion then and move on...


Note You need to log in before you can comment on or make changes to this bug.